Compare commits

..

No commits in common. "2a48edb3cf7837496139528773ce673f758bcde5" and "db5e874d91ad6f10ae047bf2116267433081ad03" have entirely different histories.

8 changed files with 88284 additions and 150601 deletions

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -21,9 +21,7 @@ thickness = 20 + shell_t # 20 inside
ti_radius = 2.35 ti_radius = 2.35
ti_depth = 6.25 ti_depth = 6.25
# Positions are determined by measuring the keyboard pillars = (
# mounting holes
kbd_pillars = (
cq.Sketch() cq.Sketch()
.push( .push(
[ [
@ -36,30 +34,9 @@ kbd_pillars = (
] ]
) )
.circle(6, mode="a") .circle(6, mode="a")
# Holes for M3 threaded inserts
.circle(ti_radius, mode="s") .circle(ti_radius, mode="s")
) )
# These are placed where convenient, and are used to join the top and bottom
# parts of the case.
# Measured from top-left corner OUTSIDE
mounting_pillar_positions = [
(6, -6),
(width - 6, -6),
(width - 6, -40),
(120, -6),
(170, -6),
]
mounting_pillars = (
cq.Sketch()
.push(mounting_pillar_positions)
.trapezoid(12, 12, 90, mode="a")
.circle(1.5, mode="s")
)
screw_holes = cq.Sketch().push(mounting_pillar_positions).circle(3, mode="a")
battery_holder = ( battery_holder = (
cq.Sketch() cq.Sketch()
.polygon( .polygon(
@ -72,11 +49,6 @@ battery_holder = (
[(-67, 3), (0, 3), (0, -10), (-67, -10), (-67, 3)], [(-67, 3), (0, 3), (0, -10), (-67, -10), (-67, 3)],
mode="s", mode="s",
) )
# Cutout for the
.polygon(
[(-67, 30), (0, 30), (0, 12), (-67, 12), (-67, 30)],
mode="s",
)
) )
@ -85,9 +57,6 @@ usb_in = cq.Sketch().trapezoid(13, 5.5, 90, mode="a")
switch_in = cq.Sketch().trapezoid(13.5, 8, 90, mode="a") switch_in = cq.Sketch().trapezoid(13.5, 8, 90, mode="a")
# Motherboard mount
def model(): def model():
return ( return (
cq.Workplane("XY") cq.Workplane("XY")
@ -119,7 +88,7 @@ def model():
# Hole for power switch # Hole for power switch
.faces(">Y") .faces(">Y")
.workplane(centerOption="CenterOfBoundBox") .workplane(centerOption="CenterOfBoundBox")
.center(0, 0) .center(-height / 2 + shell_t + 50, 0)
.placeSketch(switch_in) .placeSketch(switch_in)
.cutBlind(-shell_t) .cutBlind(-shell_t)
# Slanted mounting pillars on the kbd top # Slanted mounting pillars on the kbd top
@ -129,7 +98,7 @@ def model():
.center(-width / 2 + shell_t, kbd_height - height / 2 + shell_t) .center(-width / 2 + shell_t, kbd_height - height / 2 + shell_t)
.transformed(rotate=cq.Vector(kbd_angle, 0, 0)) .transformed(rotate=cq.Vector(kbd_angle, 0, 0))
.tag("sloped") .tag("sloped")
.placeSketch(kbd_pillars) .placeSketch(pillars)
.extrude(-1000) .extrude(-1000)
# Remove the excess extrusion # Remove the excess extrusion
.workplaneFromTagged("mid_height") .workplaneFromTagged("mid_height")
@ -138,30 +107,15 @@ def model():
# Slope for the beyboard # Slope for the beyboard
.workplaneFromTagged("sloped") .workplaneFromTagged("sloped")
.split(keepBottom=True) .split(keepBottom=True)
# Pillars to join with top half
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2, height / 2)
.placeSketch(mounting_pillars)
.extrude(thickness)
# Holes to insert screws from the bottom
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2, height / 2)
.placeSketch(screw_holes)
# 13 is 20-7 (screw thread length - threaded insert depth)
.cutBlind(thickness - 13)
) )
if __name__ == "__main__": left_cutout = cq.Sketch().polygon(
left_cutout = cq.Sketch().polygon(
[(0, 0), (160, 0), (160, -100), (135, -100), (135, -200), (0, -200), (0, 0)], [(0, 0), (160, 0), (160, -100), (135, -100), (135, -200), (0, -200), (0, 0)],
mode="a", mode="a",
) )
right_side = ( right_side = (
model() model()
.faces("<Z") .faces("<Z")
.workplaneFromTagged("mid_height") .workplaneFromTagged("mid_height")
@ -169,11 +123,11 @@ if __name__ == "__main__":
.center(-width / 2, height / 2) .center(-width / 2, height / 2)
.placeSketch(left_cutout) .placeSketch(left_cutout)
.cutBlind(100) .cutBlind(100)
) )
exporters.export(right_side, "right_side.stl") exporters.export(right_side, "right_side.stl")
right_cutout = cq.Sketch().polygon( right_cutout = cq.Sketch().polygon(
[ [
(160, 0), (160, 0),
(width, 0), (width, 0),
@ -184,9 +138,9 @@ if __name__ == "__main__":
(160, 0), (160, 0),
], ],
mode="a", mode="a",
) )
left_side = ( left_side = (
model() model()
.faces("<Z") .faces("<Z")
.workplaneFromTagged("mid_height") .workplaneFromTagged("mid_height")
@ -194,7 +148,7 @@ if __name__ == "__main__":
.center(-width / 2, height / 2) .center(-width / 2, height / 2)
.placeSketch(right_cutout) .placeSketch(right_cutout)
.cutBlind(100) .cutBlind(100)
) )
exporters.export(left_side, "left_side.stl") exporters.export(left_side, "left_side.stl")
exporters.export(model(), "model.stl") exporters.export(model(), "model.stl")

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

View File

@ -1,19 +1,21 @@
import cadquery2 as cq import cadquery2 as cq
from cadquery2 import exporters from cadquery2 import exporters
from modelo import ( # Some dimensions copied from modelo.py,
kbd_height, # TODO refactor into a separate file
kbd_width,
mounting_pillar_positions, # Thickness of the outer material
shell_t, shell_t = 3
ti_depth,
ti_radius, # Size of the kbd board
) kbd_height = 98
kbd_width = 286
kbd_angle = 5
# Size of the whole object # Size of the whole object
width = kbd_width + 2 * shell_t width = kbd_width + 2 * shell_t
height = 59 height = 69
thickness = 62 # Will be shorter after construction thickness = 10
# Visible screen size # Visible screen size
vis_w = 220 vis_w = 220
@ -38,21 +40,13 @@ board_cutout = cq.Sketch().trapezoid(
kbd_cable_hole = cq.Sketch().trapezoid(15, 5, 90, mode="a").vertices().fillet(1) kbd_cable_hole = cq.Sketch().trapezoid(15, 5, 90, mode="a").vertices().fillet(1)
mounting_pillars = (
cq.Sketch()
.push(mounting_pillar_positions)
.trapezoid(12, 12, 90, mode="a")
.circle(ti_radius, mode="s")
)
def model(): def model():
return ( return (
cq.Workplane("XY") cq.Workplane("XY")
.workplane() .workplane()
.tag("mid_height") .tag("mid_height")
.box(width, height, thickness) .box(width, 59, 62)
# The screen goes at a 45 degree angle
.faces(">Z") .faces(">Z")
.transformed(rotate=(45, 0, 0)) .transformed(rotate=(45, 0, 0))
# Move the screen "lower" so it doesn't interfere # Move the screen "lower" so it doesn't interfere
@ -81,28 +75,21 @@ def model():
.cutBlind(100) .cutBlind(100)
# Make it hollow # Make it hollow
.faces("<Z") .faces("<Z")
# Can't be exactly shell_t because cq fails .shell(-2)
.shell(-shell_t + 0.01)
# Cut hole for the screen board and cables # Cut hole for the screen board and cables
.workplaneFromTagged("slanted") .workplaneFromTagged("slanted")
.workplane(offset=-scr_thickness, centerOption="CenterOfBoundBox") .workplane(offset=-scr_thickness, centerOption="CenterOfBoundBox")
.placeSketch(board_cutout) .placeSketch(board_cutout)
.cutBlind(-6) .cutBlind(-5)
# Fillet top of the object # Fillet top of the object
.edges(">Z and |X") .edges(">Z and |X")
.fillet(5) .fillet(5)
# Make small hole for the keyboard cable # Make small hole for the keyboard cable
.faces(">Y") .faces(">Y")
.workplane(offset=-5, centerOption="CenterOfBoundBox") .workplane(offset=-5, centerOption="CenterOfBoundBox")
.center(-width / 2 + 128, -23) .center(width / 2 - 128, -23)
.placeSketch(kbd_cable_hole) .placeSketch(kbd_cable_hole)
.cutBlind(-1000) .cutBlind(-1000)
# Pillars to join with bottom half
.workplaneFromTagged("mid_height")
.workplane(offset=-thickness / 2, centerOption="CenterOfBoundBox")
.center(-width / 2, height / 2)
.placeSketch(mounting_pillars)
.extrude(10)
) )
@ -111,7 +98,7 @@ exporters.export(model(), "screen_mount.stl")
right_side = ( right_side = (
model() model()
.faces(">X") .faces(">X")
.workplane(centerOption="CenterOfBoundBox", offset=-width / 2) .workplane(centerOption="CenterOfBoundBox", offset=-140)
.center(0, height / 2) .center(0, height / 2)
.split(keepTop=True) .split(keepTop=True)
) )
@ -121,7 +108,7 @@ exporters.export(right_side, "right_screen_mount.stl")
left_side = ( left_side = (
model() model()
.faces(">X") .faces(">X")
.workplane(centerOption="CenterOfBoundBox", offset=-width / 2) .workplane(centerOption="CenterOfBoundBox", offset=-140)
.center(0, height / 2) .center(0, height / 2)
.split(keepBottom=True) .split(keepBottom=True)
) )

File diff suppressed because it is too large Load Diff